Name: x11-driver-video-mach64
Version: 6.9.0
Release: %mkrel 1
Epoch: 1
Summary: X.org driver for ATI Mach64 
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-mach64-%{version}.tar.bz2

License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libdrm-devel >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0
Conflicts: x11-driver-video-ati <= 1:6.8.0

%description
x11-driver-video-mach64 is the X.org driver for ATI Mach64.


%prep
%setup -q -n xf86-video-mach64-%{version}

%build
autoreconf -ifs
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/mach64_drv.la
%{_libdir}/xorg/modules/drivers/mach64_drv.so




%changelog
* Sat Apr 30 2011 tv <tv> 1:6.9.0-1.mga1
+ Revision: 93621
- new release (xserver-1.10 compatible)

* Sat Mar 05 2011 tmb <tmb> 1:6.8.2-6.mga1
+ Revision: 64699
- mach64: fix the pixmap private API change in x11-server 1.10

  + tv <tv>
    - rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1:6.8.2-4.mga1
+ Revision: 50229
- imported package x11-driver-video-mach64


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1:6.8.2-4mdv2011.0
+ Revision: 595719
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1:6.8.2-3mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Tue Nov 10 2009 Thierry Vignaud <tv@mandriva.org> 1:6.8.2-2mdv2010.1
+ Revision: 464338
- rebuild for new xserver

* Sat Aug 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1:6.8.2-1mdv2010.0
+ Revision: 407093
- update to new version 6.8.2

* Thu Apr 30 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1:6.8.1-1mdv2010.0
+ Revision: 369180
- New version 6.8.1

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1:6.8.0-4mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 1:6.8.0-3mdv2009.1
+ Revision: 308168
- rebuild for new X server

* Fri Jul 04 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1:6.8.0-2mdv2009.0
+ Revision: 231810
- Correct wrong conflicts field.

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1:6.8.0-1mdv2009.0
+ Revision: 219468
- import x11-driver-video-mach64


